<?php
/**
 * Register General section, settings and controls for Theme Customizer
 *
 */

// Add Theme Colors section to Customizer
add_action( 'customize_register', 'shapon_customize_register_general_settings' );

function shapon_customize_register_general_settings( $wp_customize ) {

	// Add General Section
	$wp_customize->add_section( 'shapon_section_general', array(
        'title'    => __( 'General Settings', 'shapon-lite' ),
        'priority' => 10,
		'panel' => 'shapon_options_panel' 
		)
	);
	
	// Add Settings and Controls for Layout
	$wp_customize->add_setting( 'shapon_theme_options[layout]', array(
        'default'           => 'right-sidebar',
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'shapon_sanitize_layout'
		)
	);
    $wp_customize->add_control( 'shapon_control_layout', array(
        'label'    => __( 'Theme Layout', 'shapon-lite' ),
        'section'  => 'shapon_section_general',
        'settings' => 'shapon_theme_options[layout]',
        'type'     => 'radio',
		'priority' => 1,
        'choices'  => array(
            'left-sidebar' => __( 'Left Sidebar', 'shapon-lite' ),
            'right-sidebar' => __( 'Right Sidebar', 'shapon-lite')
			)
		)
	);
	
	// Add Default Fonts Header
	$wp_customize->add_setting( 'shapon_theme_options[default_fonts]', array(
        'default'           => '',
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'esc_attr'
        )
    );
    $wp_customize->add_control( new shapon_Customize_Header_Control(
        $wp_customize, 'shapon_control_default_fonts', array(
            'label' => __( 'Default Fonts', 'shapon-lite' ),
            'section' => 'shapon_section_general',
            'settings' => 'shapon_theme_options[default_fonts]',
            'priority' => 2
            )
        )
    );
	
	// Add Settings and Controls for Deactivate Google Font setting
	$wp_customize->add_setting( 'shapon_theme_options[deactivate_google_fonts]', array(
        'default'           => false,
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'shapon_sanitize_checkbox'
		)
	);
    $wp_customize->add_control( 'shapon_control_deactivate_google_fonts', array(
        'label'    => __( 'Deactivate Google Fonts in case your language is not compatible.', 'shapon-lite' ),
        'section'  => 'shapon_section_general',
        'settings' => 'shapon_theme_options[deactivate_google_fonts]',
        'type'     => 'checkbox',
		'priority' => 3
		)
	);

}


?>